Bug 41795 - Installer crashes IDE BUS when loading install image to hard disk
Installer crashes IDE BUS when loading install image to hard disk
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-22 02:07 EDT by Matthew Soffen
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Soffen 2001-05-22 02:07:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (Win98; U)

Description of problem:
On my FIC SD11 Athlon 700 (256MB) I get through the questions and after it formats the partition, it starts transferring the  install image to the 
hard drive.  It gets almost 2/3 rds of the way through and hangs.  If I hit the Reset button, when the system restarts it has lost the primary hard 
disk (hda1).  If I cycle power, the drive re-appears. 

How reproducible:
Always

Steps to Reproduce:
1. Install RedHat from CDROM
	
Actual Results:  I went through the selection of the partition (on a Multi Boot Disk).  It then prompts for package selection.  After selecting the 
packages it then formats the partition, and starts loading the Install Image to disk and locks up the IDE BUS.

Expected Results:  Red Hat Should have installed.

Additional info:

Mboard: FIC SD11
Athlon 700
Memory: 256MB
Disk:  a 3577MB partition.
Swap: 635MB Partition

Devices: 
IDE DVD 
IDE CDRW (Yamaha 8424)
TV Tuner Card
WinModem
LinkSys NIC Card
Vortex 2600 Sound Card
Comment 1 Brent Fox 2001-05-22 09:06:09 EDT
It sounds like either the motherboard or the hard drive is going bad.  The
installer simply cannot make devices disappear from the IDE bus.  It sounds like
the drive is going into sleep mode or something like that.
Comment 2 Matthew Soffen 2001-05-22 09:29:06 EDT
Don't think so.  Why would previous versions of Linux install fine ? (Redhat 6.2 and Mandrake 7.1 installed fine with no issues at all).  The hard drive 
hasn't given me any other errors.   APM is turned off in BIOS so sleep mode is unlikely.  If the controller chips (Via 751 I belive) were not initialized 
correctly,  couldn't that cause IDE problems ?

I will attempt to upgrade another system of mine on the same hardware.

FYI: the same exact type of error occurs with Mandrake 7.2 AND Mandrake 8.0 .

Comment 3 Brent Fox 2001-05-22 11:00:41 EDT
You could be right.  If there's a bug there somewhere, it sounds like it is in
the kernel.  Changing component to the kernel.
Comment 4 Arjan van de Ven 2001-05-22 11:03:26 EDT
Could you try installing with the "ide=nodma" option?
(eg typing "linux ide=nodma" at the installer syslinux: prompt)
If your cdrom drive is broken wrt DMA support, this will help.
Comment 5 Matthew Soffen 2001-05-22 21:44:33 EDT
Did that.. Got a little further.. (It got the second stage install image installed) but still locked up and lost the HD.

Here is what I got from CTRL-ALT-F2:
Swap attempt to 256M to 512M
Auto partitionioning failed because following errors:
failed to allocate '/' : no free primary
failed to allocate 'swap0000-auto' : no free primary
max cylinder is 640

Here is what I got from CTRL-ALT-F4:
<6> cdrom: open failed
<6> cdrom: open failed
<6> cdrom: open failed
<6> cdrom: open failed
<6> cdrom: open failed
<6> cdrom: open failed
<6> cdrom: open failed
<6> adding swap 650592K swap space (priority -1)
<4> hda : dma_intr: status=0x51 { Drive Ready SeekComplete Error }
<4> hda : dma_intr : error= 0x8 { DriveStatusError BadCRC }
<4> hda : timeout waiting for DMA
<4> ide_dmaproc : chipset supported ide_dma_time_out func only : 14
<4> hda : irq timeout status= 0xd0 { Busy }
<4> hda : status time out : status= 0xd0 { Busy }
<4> hda : set_drive_speed : status= 0xd0 { Busy }
<4> ide0: Drive 0 didn't accept speed settings, Oh well
<4> hda : drive not ready for command
<4> ide0: reset timed out, status = 0x80 { Busy }
<4> hda :  status timed out, status = 0x80 { Busy }
<4> hda : DMA disabled
<4> ide0: reset timed out, status = 0x80 { Busy }
<4> hda :  status timed out, status = 0x80 { Busy }

This is most of what I had on the screen when it failed.
Comment 6 Matthew Soffen 2001-08-20 14:57:02 EDT
Is it possible that there are too many partitions on the disk ?

I have C, D, E, F, G FAT32 partitons,  a BEos partition, a Linux Partition and a Linux Swap Partition.

I will put in a spare HD and see what happens.
Comment 7 Matthew Soffen 2001-08-21 02:09:37 EDT
I am 100% certain it has something to do with the partions.

I just installed (on this same machine) Red Hat 7.1 on a new HD that I had sitting around.

There must be something about the # of partitions I have that the installer doesn't support.
Comment 8 Arjan van de Ven 2001-08-21 03:29:16 EDT
<4> hda : DMA disabled
 <4> ide0: reset timed out, status = 0x80 { Busy }
 <4> hda :  status timed out, status = 0x80 { Busy }

Is an indication that ide=nodma didn't actually work (it seems that for some
drivers DMA will be enabled regardless of this).. and that there is most likely 
a cable problem.
Comment 9 Matthew Soffen 2001-08-22 11:16:31 EDT
If it is/was a cable problem, why would older versions of Redhat, Mandraket, etc. install with no issues 
(on the same exact HD/system)  ?  I used the exact same cable (infact, the exact same connector too).

Could it be the fact that there are 9 partitions on the drive I was trying to install on ?

C
BeOS
Linux
Extended
D
E
F
G
Linux Swap

Is it possible that it needs the swap partition to be in a real partition and not extended ?
Comment 10 Matthew Soffen 2001-08-27 10:57:09 EDT
Also, I've noticed from Alan Cox's site, they fixed a bug (the comment is "Correct partition check oops fix").

Is it possible that this bug fix corrects this issue ?
Comment 11 Arjan van de Ven 2001-08-27 11:01:31 EDT
No, that was for a bug Alan let sneek in a bit earlier...
Comment 12 Bugzilla owner 2004-09-30 11:39:01 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.